Subject: [PATCH 2/2] ARM: dts: omap5: Add dr_mode for dwc3

From: [email-masked] (Dmitry Lifshitz)
Date: Wed, 10 Sep 2014 15:03:33 +0300

Hi,

On 09/08/2014 04:24 PM, Felipe Balbi wrote:
> Hi,
>
> On Mon, Sep 08, 2014 at 02:34:33PM +0300, Dmitry Lifshitz wrote:
>> Hi Felipe, Roger
>>
>> On 04/16/2014 07:16 PM, Felipe Balbi wrote:
>>> On Fri, Oct 11, 2013 at 05:46:12PM +0300, Roger Quadros wrote:
>>>> Hi,
>>>>
>>>> On 10/10/2013 01:49 PM, Kishon Vijay Abraham I wrote:
>>>>> From: George Cherian <[email-masked]>
>>>>>
>>>>> Added dr_mode property in dwc3 and set its default mode to device.
>>>>
>>>> If there is a specific reason why this is not set to "otg", we need
>>>> to explain it here.
>>>>
>>>> AFAIK the port is meant to be used as OTG port.
>>>
>>> we still don't have the workaround for dual role ports, I've been
>>> working on it but still need to retest and make sure it's working fine
>>> before merging upstream.
>>>
>>
>>
>> Does the OTG port suppose to work with OMAP5? I mean role switching
>> mechanism?
>>
>> I'm testing kernel v3.16 with OMAP5 based board (CM-T54).
>>
>> If I set CONFIG_USB_DWC3_DUAL_ROLE, than nothing is going on when I plug
>> some device/host cable into micro USB3.0 port (VBUS/ID detection with extcon
>> events works fine).
>
> Dual role does not work. We allow the driver to the built with both Host
> and Peripheral support because some platforms have more than one port
> and building the driver with dual role allows us to make one port host
> and one peripheral.
>

Please, can you provide some detail about platforms with several ports.
How do that ports are connected to DWC3?

Thanks,

Dmitry